<?

/***************************************************************************************
 * Filename: modules/pluginInfo.php
 *
 * This file is part of the Navigation JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Navigation JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/navigation/
 ***************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_navigation_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="Navigation plugin information";

   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "navigation.html", "Navigation template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."navigation/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");

   return true;
  }
 }
?>
